# class DBus::Data::Fixed

A value that has a fixed size (unlike {StringLike}).

### Public Class Methods

fixed?() click to toggle source

        # File lib/dbus/data.rb
    141 def self.fixed?
    142   true
    143 end

from_raw(value, mode:) click to toggle source

most `Fixed` types are valid whatever bits from the wire are used to initialize them @param mode [:plain,:exact]

        # File lib/dbus/data.rb
    148 def self.from_raw(value, mode:)
    149   return value if mode == :plain
    150
    151   new(value)
    152 end

### Public Instance Methods

marshall(endianness) click to toggle source

@param endianness [:little,:big]

        # File lib/dbus/data.rb
    155 def marshall(endianness)
    156   [value].pack(self.class.format[endianness])
    157 end